Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Static Public Attributes | List of all members
ACG::SceneGraph::ACG::IRenderer::DepthMapPass Class Reference
Inheritance diagram for ACG::SceneGraph::ACG::IRenderer::DepthMapPass:

## Public Member Functions
void | modifyFragmentEndCode (QStringList *_code)
| Append code the the fragment shader. More...
Public Member Functions inherited from ACG::SceneGraph::ACG::ShaderModifier
virtual void | modifyVertexIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the vertex shader. More...
virtual void | modifyVertexBeginCode (QStringList *_code)
| Append code the the vertex shader. More...
virtual void | modifyVertexEndCode (QStringList *_code)
| Append code the the vertex shader. More...
virtual void | modifyGeometryIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the geometry shader. More...
virtual void | modifyTessControlIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the tessellation control shader. More...
virtual void | modifyTessEvalIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the tessellation evaluation shader. More...
virtual void | modifyFragmentIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the fragment shader. More...
virtual void | modifyFragmentBeginCode (QStringList *_code)
| Append code the the fragment shader. More...
virtual void | modifyLightingCode (QStringList *_code, int _lightId, ShaderGenLightType _lightType)
| Modify the default lighting code of the shader generator. More...
virtual bool | replaceDefaultLightingCode ()
| Specify whether this modifier replaces or extends the default lighting code. More...
unsigned int | getID ()
| Returns the modifier ID. More...
| operator std::vector< unsigned int > () const
std::vector< unsigned int > | operator| (const std::vector< unsigned int > &_v) const
virtual void | modifyVertexIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the vertex shader. More...
virtual void | modifyVertexBeginCode (QStringList *_code)
| Append code the the vertex shader. More...
virtual void | modifyVertexEndCode (QStringList *_code)
| Append code the the vertex shader. More...
virtual void | modifyGeometryIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the geometry shader. More...
virtual void | modifyTessControlIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the tessellation control shader. More...
virtual void | modifyTessEvalIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the tessellation evaluation shader. More...
virtual void | modifyFragmentIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the fragment shader. More...
virtual void | modifyFragmentBeginCode (QStringList *_code)
| Append code the the fragment shader. More...
virtual void | modifyLightingCode (QStringList *_code, int _lightId, ShaderGenLightType _lightType)
| Modify the default lighting code of the shader generator. More...
virtual bool | replaceDefaultLightingCode ()
| Specify whether this modifier replaces or extends the default lighting code. More...
unsigned int | getID ()
| Returns the modifier ID. More...
| operator std::vector< unsigned int > () const
std::vector< unsigned int > | operator| (const std::vector< unsigned int > &_v) const
virtual void | modifyVertexIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the vertex shader. More...
virtual void | modifyVertexBeginCode (QStringList *_code)
| Append code the the vertex shader. More...
virtual void | modifyVertexEndCode (QStringList *_code)
| Append code the the vertex shader. More...
virtual void | modifyGeometryIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the geometry shader. More...
virtual void | modifyTessControlIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the tessellation control shader. More...
virtual void | modifyTessEvalIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the tessellation evaluation shader. More...
virtual void | modifyFragmentIO (ShaderGenerator *_shader)
| Add your own inputs/outputs to the fragment shader. More...
virtual void | modifyFragmentBeginCode (QStringList *_code)
| Append code the the fragment shader. More...
virtual void | modifyLightingCode (QStringList *_code, int _lightId, ShaderGenLightType _lightType)
| Modify the default lighting code of the shader generator. More...
virtual bool | replaceDefaultLightingCode ()
| Specify whether this modifier replaces or extends the default lighting code. More...
unsigned int | getID ()
| Returns the modifier ID. More...
| operator std::vector< unsigned int > () const
std::vector< unsigned int > | operator| (const std::vector< unsigned int > &_v) const

## Static Public Attributes
static DepthMapPass | instance

## Additional Inherited Members
Static Public Member Functions inherited from ACG::SceneGraph::ACG::ShaderModifier
static ShaderModifier * | loadFromFile (QString _filename)
| Load a modifier from file. More...
static ShaderModifier * | loadFromFile (QString _filename)
| Load a modifier from file. More...
static ShaderModifier * | loadFromFile (QString _filename)
| Load a modifier from file. More...

## Detailed Description

Definition at line 340 of file MeshNode2T.cc.

## Member Function Documentation

void ACG::SceneGraph::ACG::IRenderer::DepthMapPass::modifyFragmentEndCode | ( | QStringList * | _code | ) |
| virtual

Append code the the fragment shader.

Refer to the generation structure (Shader Generator ) to see where your code is added and which variables you can modify. Use

_code->push_back("...");

to insert your code here.

Parameters

  _code | string list of shader code.

Reimplemented from ACG::SceneGraph::ACG::ShaderModifier.

The documentation for this class was generated from the following file:

- ACG/Scenegraph/MeshNode2T.cc